Package org.pushingpixels.flamingo.internal.ui.common.popup

# Class BasicColorSelectorPanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.common.popup.ColorSelectorPanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.BasicColorSelectorPanelUI

public class BasicColorSelectorPanelUI extends ColorSelectorPanelUI
Basic UI for color selector panel `JColorSelectorPanel`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`BasicColorSelectorPanelUI.PanelLayout`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JLabel`
`captionLabel`
`protected JPanel`
`colorSelectorContainer`
`protected JColorSelectorPanel`
`colorSelectorPanel`

## Constructor Summary

Constructors
Constructor
Description
`BasicColorSelectorPanelUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
`protected int`
`getLayoutGap()`
Returns the layout gap for button panel components.
`protected void`
`installComponents()`
Installs subcomponents on the associated color selector panel.
`protected void`
`installDefaults()`
Installs defaults on the associated color selector panel.
`protected void`
`installListeners()`
Installs listeners on the associated color selector panel.
`void`
`installUI(JComponent c)`
`void`
`paint(Graphics g, JComponent c)`
`protected void`
`paintBottomDivider(Graphics g, int x, int y, int width, int height)`
`protected void`
`paintCaptionBackground(Graphics g, int x, int y, int width, int height)`
`protected void`
`uninstallComponents()`
Uninstalls subcomponents from the associated color selector panel.
`protected void`
`uninstallDefaults()`
Uninstalls defaults from the associated color selector panel.
`protected void`
`uninstallListeners()`
Uninstalls listeners from the associated color selector panel.
`void`
`uninstallUI(JComponent c)`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### colorSelectorPanel

protected JColorSelectorPanel colorSelectorPanel

### captionLabel

protected JLabel captionLabel

### colorSelectorContainer

protected JPanel colorSelectorContainer

## Constructor Details

### BasicColorSelectorPanelUI

public BasicColorSelectorPanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `ComponentUI`

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `ComponentUI`

### installListeners

protected void installListeners()
Installs listeners on the associated color selector panel.

### uninstallListeners

protected void uninstallListeners()
Uninstalls listeners from the associated color selector panel.

### installDefaults

protected void installDefaults()
Installs defaults on the associated color selector panel.

### uninstallDefaults

protected void uninstallDefaults()
Uninstalls defaults from the associated color selector panel.

### installComponents

protected void installComponents()
Installs subcomponents on the associated color selector panel.

### uninstallComponents

protected void uninstallComponents()
Uninstalls subcomponents from the associated color selector panel.

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `ComponentUI`

### paintBottomDivider

protected void paintBottomDivider(Graphics g, int x, int y, int width, int height)

### paintCaptionBackground

protected void paintCaptionBackground(Graphics g, int x, int y, int width, int height)

### getLayoutGap

protected int getLayoutGap()
Returns the layout gap for button panel components.

Returns:
  The layout gap for button panel components.